Conditional fsevents install causes issues when checking in deps #96

Closed
jgrund opened this Issue Jan 18, 2014 · 2 comments

Comments

Projects
None yet
3 participants

jgrund commented Jan 18, 2014

I'm currently using https://github.com/mikefrey/node-pac to check my modules into source control so I can avoid network issues / npm downtime.

I am running into an issue where chokidar is first installed and packed on OS X and then run in CI on CentOS.

As you could probably guess, my rebuild errors due to fsevents being listed as a dependency.

Two things I can think of:

  1. Since we already have postinstall, how about a preinstall that again checks the platform and removes the darwin specific deps if we are on a different platform?

  2. How about just dropping the postinstall deps altogether, which will alleviate platform specific / shrinkwrap problems?

Owner

paulmillr commented Jan 18, 2014

we should drop these deps

iameli commented Mar 13, 2014

+1

@paulmillr paulmillr closed this Mar 25, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment